Sign In with your
Trend Micro Account
Need Help?
Need More Help?

Create a technical support case if you need further support.

Installing needed libraries for InterScan Messaging Security Suite (IMSS) 9.1 for Linux

    • Updated:
    • 25 Oct 2017
    • Product/Version:
    • InterScan Messaging Security Suite 9.1 Linux
    • Platform:
    • Linux All
Summary

IMSS for Linux 9.1 needs the following libraries to be pre-installed.

  • Red Hat 6 (64-bit): bind-utils; lsof; wget; perl;fontconfig.i686; cyrus-sasl-gssapi.i686; cyrus-sasl-md5.i686; glibc.i686
  • Red Hat 6 (32-bit): cyrus-sasl-md5.i686; glibc.i686
  • Red Hat 7.0-7.2: nss-softokn; net-tools; bind-utils; lsof; wget; perl; fontconfig.i686; cyrus-sasl-gssapi.i686; cyrus-sasl-md5.i686; glibc.i686
  • Red Hat 7.3: nss-softokn; lsof; wget; perl; fontconfig.i686; cyrus-sasl-gssapi.i686; cyrus-sasl-md5.i686; glibc.i686

Any missing library may result to installation failure of IMSS for Linux with the following error messages:

  • The package "glibc.i686" on which the installation program depends is not installed. Install this package and retry.

    glibc.i686

  • Failed: Dependencies
    The package "fontconfig.i686" on which InterScan Messaging Security Suite depends is not installed. Install this package and retry.

    fontconfig.i686

  • Failed: Dependencies
    The package "cyrus-sasl-gssapi.i686" on which InterScan Messaging Security Suite depends is not installed. Install this package and retry.

    cyrus-sasl-gssapi.i686

  • Failed: Dependencies
    The package "cyrus-sasl-md5.i686" on which InterScan Messaging Security Suite depends is not installed. Install this package and retry.

    cyrus-sasl-md5.i686

Details
Public
 
For registered Red Hat Linux, the administrator can use "yum install" to install the related package directly.
For Red Hat Linux which has not been registered to Red Hat Subscription Management, the administrator can use "yum localinstall package" to install the related package.

Follow these steps:

  1. Mount Linux installation image to cdrom. (/mnt/cdrom)
    Related commands:

    # mkdir /mnt/cdrom
    # mount /dev/cdrom /mnt/cdrom

  2. Go to Packages folder:

    # cd /mnt/cdrom/Packages/.

  3. Find the rpm package to the related package. As an example, for "glibc.i686" the related RPM package for Red Hat 7.3 is "glibc-2.17-157.el7.i686.rpm".

    glibc.i686

  4. Use "yum localinstall" to install this package. Yum will automatically check the dependency and list the required library files. For example, "yum localinstall glibc-2.17-157.el7.i686.rpm" may get the following output:
    [root@VM-Bryan-RHEL73 Packages]# yum localinstall glibc-2.17-157.el7.i686.rpm  Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager  This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.  Examining glibc-2.17-157.el7.i686.rpm: glibc-2.17-157.el7.i686  Marking glibc-2.17-157.el7.i686.rpm to be installed  Resolving Dependencies  --> Running transaction check  ---> Package glibc.i686 0:2.17-157.el7 will be installed  --> Processing Dependency: libfreebl3.so for package: glibc-2.17-157.el7.i686  --> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.17-157.el7.i686  --> Finished Dependency Resolution  Error: Package: glibc-2.17-157.el7.i686 (/glibc-2.17-157.el7.i686)             Requires: libfreebl3.so(NSSRAWHASH_3.12.3)  Error: Package: glibc-2.17-157.el7.i686 (/glibc-2.17-157.el7.i686)             Requires: libfreebl3.so   You could try using --skip-broken to work around the problem   You could try running: rpm -Va --nofiles --nodigest  [root@VM-Bryan-RHEL73 Packages]#  

    libfreebl3.so

  5. From the output info, the library file "libfreebl3.so" is needed for "yum localinstall glibc-2.17-157.el7.i686.rpm" installation.
  6. Open the site rpmfind.net to find which package contains those files. Based on the site, rpm package nss-softokn-freebl contains this file.
  7. Refer to Step 3 to find the full name of this package: nss-softokn-freebl-3.16.2.3-14.4.el7.i686.rpm.

    nsssoftpackage

  8. Install two of those rpm packages:

    # yum localinstall glibc-2.17-157.el7.i686.rpm nss-softokn-freebl-3.16.2.3-14.4.el7.i686.rpm

  9. Wait until the installation is successful. If you need more library files, refer to Step 6.
  10. Use the same procedure to install other libraries such as "fontconfig.i686", "cyrus-sasl-gssapi.i686" and "cyrus-sasl-md5.i686".
    For example, under Red Hat 7.3, the final command for the particular package is as follows:
    LibraryCommand
    glibc.i686yum localinstall glibc-2.17-157.el7.i686.rpm nss-softokn-freebl-3.16.2.3-14.4.el7.i686.rpm
    fontconfig.i686yum localinstall fontconfig-2.10.95-10.el7.i686.rpm expat-2.1.0-8.el7.i686.rpm
    cyrus-sasl-gssapi.i686yum localinstall cyrus-sasl-gssapi-2.1.26-20.el7_2.i686.rpm krb5-libs-1.14.1-26.el7.i686.rpm krb5-libs-1.14.1-26.el7.i686.rpm libcom_err-1.42.9-9.el7.i686.rpm cyrus-sasl-lib-2.1.26-20.el7_2.i686.rpm openssl-libs-1.0.1e-60.el7.i686.rpm keyutils-libs-1.5.8-3.el7.i686.rpm zlib-1.2.7-17.el7.i686.rpm libdb-5.3.21-19.el7.i686.rpm libverto-0.2.5-4.el7.i686.rpm libselinux-2.5-6.el7.i686.rpm libsepol-2.5-6.el7.i686.rpm pcre-8.32-15.el7_2.1.i686.rpm libgcc-4.8.5-11.el7.i686.rpm libstdc++-4.8.5-11.el7.i686.rpm
    cyrus-sasl-md5.i686yum localinstall cyrus-sasl-md5-2.1.26-20.el7_2.i686.rpm
  11. Retry to install IMSS for Linux.
Premium
Internal
Rating:
Category:
Troubleshoot; Deploy; Install; Upgrade
Solution Id:
1118635
Feedback
Did this article help you?

Thank you for your feedback!

To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.

If you need additional help, you may try to contact the support team. Contact Support


To help us improve the quality of this article, please leave your email here so we can clarify further your feedback, if neccessary:
We will not send you spam or share your email address.

*This form is automated system. General questions, technical, sales, and product-related issues submitted through this form will not be answered.